For the complete documentation index, see llms.txt. This page is also available as Markdown.

Library

Library

Enable Stats Collection

put

Set Enable Stats Collection? to use for the collection of Proof of Play statistics for a media.

Path parameters
mediaIdintegerRequired

The Media ID

Body
enableStatstringRequired

The option to enable the collection of Media Proof of Play statistics

Responses
204

successful operation

No content

put/library/setenablestat/{mediaId}
PUT /api/library/setenablestat/{mediaId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 21

"enableStat='text'"
204

successful operation

No content

Library Search

get

Search the Library for this user

Query parameters
mediaIdintegerOptional

Filter by Media Id

mediastringOptional

Filter by Media Name

typestringOptional

Filter by Media Type

ownerIdintegerOptional

Filter by Owner Id

retiredintegerOptional

Filter by Retired

tagsstringOptional

Filter by Tags - comma seperated

exactTagsintegerOptional

A flag indicating whether to treat the tags filter as an exact match

logicalOperatorstringOptional

When filtering by multiple Tags, which logical operator should be used? AND|OR

durationstringOptional

Filter by Duration - a number or less-than,greater-than,less-than-equal or great-than-equal followed by a | followed by a number

fileSizestringOptional

Filter by File Size - a number or less-than,greater-than,less-than-equal or great-than-equal followed by a | followed by a number

ownerUserGroupIdintegerOptional

Filter by users in this UserGroupId

folderIdintegerOptional

Filter by Folder ID

isReturnPublicUrlsintegerOptional

Should the thumbnail URLs be authenticated S3 style public URL, default = false

modifiedDateFromstring · dateOptional

Start date for filtering media by modified date

modifiedDateTostring · dateOptional

End date for filtering media by modified date

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json
get/library
GET /api/library HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "mediaId": 1,
    "ownerId": 1,
    "parentId": 1,
    "name": "text",
    "mediaType": "text",
    "storedAs": "text",
    "fileName": "text",
    "tags": [
      {
        "tag": "text",
        "tagId": 1,
        "value": "text"
      }
    ],
    "fileSize": 1,
    "duration": 1,
    "valid": 1,
    "moduleSystemFile": 1,
    "expires": 1,
    "retired": 1,
    "isEdited": 1,
    "md5": "text",
    "owner": "text",
    "groupsWithPermissions": "text",
    "released": 1,
    "apiRef": "text",
    "createdDt": "text",
    "modifiedDt": "text",
    "enableStat": "text",
    "orientation": "text",
    "width": 1,
    "height": 1,
    "folderId": 1,
    "permissionsFolderId": 1
  }
]

Add Media

post

Add Media to the Library, optionally replacing an existing media item, optionally adding to a playlist.

Body
filesstring · binaryRequired

The Uploaded File

namestringOptional

Optional Media Name

oldMediaIdintegerOptional

Id of an existing media file which should be replaced with the new upload

updateInLayoutsintegerOptional

Flag (0, 1), set to 1 to update this media in all layouts (use with oldMediaId)

deleteOldRevisionsintegerOptional

Flag (0 , 1), to either remove or leave the old file revisions (use with oldMediaId)

tagsstringOptional

Comma separated string of Tags that should be assigned to uploaded Media

expiresstringOptional

Date in Y-m-d H:i:s format, will set expiration date on the uploaded Media

playlistIdintegerOptional

A playlistId to add this uploaded media to

widgetFromDtstringOptional

Date in Y-m-d H:i:s format, will set widget start date. Requires a playlistId.

widgetToDtstringOptional

Date in Y-m-d H:i:s format, will set widget end date. Requires a playlistId.

deleteOnExpiryintegerOptional

Flag (0, 1), set to 1 to remove the Widget from the Playlist when the widgetToDt has been reached

applyToMediaintegerOptional

Flag (0, 1), set to 1 to apply the widgetFromDt as the expiry date on the Media

folderIdintegerOptional

Folder ID to which this object should be assigned to

Responses
200

successful operation

No content

post/library
POST /api/library HTTP/1.1
Content-Type: multipart/form-data
Accept: */*
Content-Length: 227

{
  "files": "binary",
  "name": "text",
  "oldMediaId": 1,
  "updateInLayouts": 1,
  "deleteOldRevisions": 1,
  "tags": "text",
  "expires": "text",
  "playlistId": 1,
  "widgetFromDt": "text",
  "widgetToDt": "text",
  "deleteOnExpiry": 1,
  "applyToMedia": 1,
  "folderId": 1
}
200

successful operation

No content

Library search by ID

get

Get the Media object specified by the provided mediaId

Path parameters
mediaIdintegerRequired

Numeric ID of the Media to get

Responses
200

successful operation

application/json

Class Media

mediaIdintegerOptional

The Media ID

ownerIdintegerOptional

The ID of the User that owns this Media

parentIdintegerOptional

The Parent ID of this Media if it has been revised

namestringOptional

The Name of this Media

mediaTypestringOptional

The module type of this Media

storedAsstringOptional

The file name of the media as stored in the library

fileNamestringOptional

The original file name as it was uploaded

fileSizeintegerOptional

The file size in bytes

durationintegerOptional

The duration to use when assigning this media to a Layout widget

validintegerOptional

Flag indicating whether this media is valid.

moduleSystemFileintegerOptional

DEPRECATED: Flag indicating whether this media is a system file or not

expiresintegerOptional

Timestamp indicating when this media should expire

retiredintegerOptional

Flag indicating whether this media is retired

isEditedintegerOptional

Flag indicating whether this media has been edited and replaced with a newer file

md5stringOptional

A MD5 checksum of the stored media file

ownerstringOptional

The username of the User that owns this media

groupsWithPermissionsstringOptional

A comma separated list of groups/users with permissions to this Media

releasedintegerOptional

A flag indicating whether this media has been released

apiRefstringOptional

An API reference

createdDtstringOptional

The datetime the Media was created

modifiedDtstringOptional

The datetime the Media was last modified

enableStatstringOptional

The option to enable the collection of Media Proof of Play statistics

orientationstringOptional

The orientation of the Media file

widthintegerOptional

The width of the Media file

heightintegerOptional

The height of the Media file

folderIdintegerOptional

The id of the Folder this Media belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Media

get/library/{mediaId}
GET /api/library/{mediaId} HTTP/1.1
Accept: */*
200

successful operation

{
  "mediaId": 1,
  "ownerId": 1,
  "parentId": 1,
  "name": "text",
  "mediaType": "text",
  "storedAs": "text",
  "fileName": "text",
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "fileSize": 1,
  "duration": 1,
  "valid": 1,
  "moduleSystemFile": 1,
  "expires": 1,
  "retired": 1,
  "isEdited": 1,
  "md5": "text",
  "owner": "text",
  "groupsWithPermissions": "text",
  "released": 1,
  "apiRef": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "enableStat": "text",
  "orientation": "text",
  "width": 1,
  "height": 1,
  "folderId": 1,
  "permissionsFolderId": 1
}

Edit Media

put

Edit a Media Item in the Library

Path parameters
mediaIdintegerRequired

The Media ID to Edit

Body
namestringRequired

Media Item Name

durationintegerRequired

The duration in seconds for this Media Item

retiredintegerRequired

Flag indicating if this media is retired

tagsstringOptional

Comma separated list of Tags

updateInLayoutsintegerOptional

Flag indicating whether to update the duration in all Layouts the Media is assigned to

expiresstringOptional

Date in Y-m-d H:i:s format, will set expiration date on the Media item

folderIdintegerOptional

Folder ID to which this media should be assigned to

Responses
200

successful operation

application/json

Class Media

mediaIdintegerOptional

The Media ID

ownerIdintegerOptional

The ID of the User that owns this Media

parentIdintegerOptional

The Parent ID of this Media if it has been revised

namestringOptional

The Name of this Media

mediaTypestringOptional

The module type of this Media

storedAsstringOptional

The file name of the media as stored in the library

fileNamestringOptional

The original file name as it was uploaded

fileSizeintegerOptional

The file size in bytes

durationintegerOptional

The duration to use when assigning this media to a Layout widget

validintegerOptional

Flag indicating whether this media is valid.

moduleSystemFileintegerOptional

DEPRECATED: Flag indicating whether this media is a system file or not

expiresintegerOptional

Timestamp indicating when this media should expire

retiredintegerOptional

Flag indicating whether this media is retired

isEditedintegerOptional

Flag indicating whether this media has been edited and replaced with a newer file

md5stringOptional

A MD5 checksum of the stored media file

ownerstringOptional

The username of the User that owns this media

groupsWithPermissionsstringOptional

A comma separated list of groups/users with permissions to this Media

releasedintegerOptional

A flag indicating whether this media has been released

apiRefstringOptional

An API reference

createdDtstringOptional

The datetime the Media was created

modifiedDtstringOptional

The datetime the Media was last modified

enableStatstringOptional

The option to enable the collection of Media Proof of Play statistics

orientationstringOptional

The orientation of the Media file

widthintegerOptional

The width of the Media file

heightintegerOptional

The height of the Media file

folderIdintegerOptional

The id of the Folder this Media belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Media

put/library/{mediaId}
PUT /api/library/{mediaId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 104

"name='text'&duration=1&retired=1&tags='text'&updateInLayouts=1&expires='text'&folderId=1"
200

successful operation

{
  "mediaId": 1,
  "ownerId": 1,
  "parentId": 1,
  "name": "text",
  "mediaType": "text",
  "storedAs": "text",
  "fileName": "text",
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "fileSize": 1,
  "duration": 1,
  "valid": 1,
  "moduleSystemFile": 1,
  "expires": 1,
  "retired": 1,
  "isEdited": 1,
  "md5": "text",
  "owner": "text",
  "groupsWithPermissions": "text",
  "released": 1,
  "apiRef": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "enableStat": "text",
  "orientation": "text",
  "width": 1,
  "height": 1,
  "folderId": 1,
  "permissionsFolderId": 1
}

Delete Media

delete

Delete Media from the Library

Path parameters
mediaIdintegerRequired

The Media ID to Delete

Body
forceDeleteintegerRequired

If the media item has been used should it be force removed from items that uses it?

purgeintegerOptional

Should this Media be added to the Purge List for all Displays?

Responses
204

successful operation

No content

delete/library/{mediaId}
DELETE /api/library/{mediaId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 27

"forceDelete=1&purge=1"
204

successful operation

No content

get

Search all library files from local and connectors

Responses
200

successful operation

application/json
titleanyOptional
descriptionanyOptional
thumbnailanyOptional
sourceanyOptional
typeanyOptional
idanyOptional
downloadanyOptional
fileSizeanyOptional
widthanyOptional
heightanyOptional
orientationanyOptional
durationanyOptional
videoThumbnailUrlanyOptional
tagsstring[]Optional
isFeaturedanyOptional
get/library/search
GET /api/library/search HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "title": null,
    "description": null,
    "thumbnail": null,
    "source": null,
    "type": null,
    "id": null,
    "download": null,
    "fileSize": null,
    "width": null,
    "height": null,
    "orientation": null,
    "duration": null,
    "videoThumbnailUrl": null,
    "tags": [
      "text"
    ],
    "isFeatured": null
  }
]

Tidy Library

delete

Routine tidy of the library, removing unused files.

Body
tidyGenericFilesintegerOptional

Also delete generic files?

Responses
200

successful operation

No content

delete/library/tidy
DELETE /api/library/tidy HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 22

"tidyGenericFiles=1"
200

successful operation

No content

Download Media

get

Download a Media file from the Library

Path parameters
mediaIdintegerRequired

The Media ID to Download

typestringRequired

The Module Type of the Download

Query parameters
streamintegerOptional

Serve video/audio media with its real content type for inline streaming playback, rather than as an attachment download

Responses
200

successful operation

application/octet-stream
Responsestring · binary
get/library/download/{mediaId}/{type}
GET /api/library/download/{mediaId}/{type} HTTP/1.1
Accept: */*
200

successful operation

binary

Download Thumbnail

get

Download thumbnail for a Media file from the Library

Path parameters
mediaIdintegerRequired

The Media ID to Download

Responses
200

successful operation

application/octet-stream
Responsestring · binary
get/library/thumbnail/{mediaId}
GET /api/library/thumbnail/{mediaId} HTTP/1.1
Accept: */*
200

successful operation

binary

Tag Media

post

Tag a Media with one or more tags

Path parameters
mediaIdintegerRequired

The Media Id to Tag

Body
tagstring[]Required

An array of tags

Responses
200

successful operation

application/json

Class Media

mediaIdintegerOptional

The Media ID

ownerIdintegerOptional

The ID of the User that owns this Media

parentIdintegerOptional

The Parent ID of this Media if it has been revised

namestringOptional

The Name of this Media

mediaTypestringOptional

The module type of this Media

storedAsstringOptional

The file name of the media as stored in the library

fileNamestringOptional

The original file name as it was uploaded

fileSizeintegerOptional

The file size in bytes

durationintegerOptional

The duration to use when assigning this media to a Layout widget

validintegerOptional

Flag indicating whether this media is valid.

moduleSystemFileintegerOptional

DEPRECATED: Flag indicating whether this media is a system file or not

expiresintegerOptional

Timestamp indicating when this media should expire

retiredintegerOptional

Flag indicating whether this media is retired

isEditedintegerOptional

Flag indicating whether this media has been edited and replaced with a newer file

md5stringOptional

A MD5 checksum of the stored media file

ownerstringOptional

The username of the User that owns this media

groupsWithPermissionsstringOptional

A comma separated list of groups/users with permissions to this Media

releasedintegerOptional

A flag indicating whether this media has been released

apiRefstringOptional

An API reference

createdDtstringOptional

The datetime the Media was created

modifiedDtstringOptional

The datetime the Media was last modified

enableStatstringOptional

The option to enable the collection of Media Proof of Play statistics

orientationstringOptional

The orientation of the Media file

widthintegerOptional

The width of the Media file

heightintegerOptional

The height of the Media file

folderIdintegerOptional

The id of the Folder this Media belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Media

post/library/{mediaId}/tag
POST /api/library/{mediaId}/tag HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 16

"tag=['text']"
200

successful operation

{
  "mediaId": 1,
  "ownerId": 1,
  "parentId": 1,
  "name": "text",
  "mediaType": "text",
  "storedAs": "text",
  "fileName": "text",
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "fileSize": 1,
  "duration": 1,
  "valid": 1,
  "moduleSystemFile": 1,
  "expires": 1,
  "retired": 1,
  "isEdited": 1,
  "md5": "text",
  "owner": "text",
  "groupsWithPermissions": "text",
  "released": 1,
  "apiRef": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "enableStat": "text",
  "orientation": "text",
  "width": 1,
  "height": 1,
  "folderId": 1,
  "permissionsFolderId": 1
}

Untag Media

post

Untag a Media with one or more tags

Path parameters
mediaIdintegerRequired

The Media Id to Untag

Body
tagstring[]Required

An array of tags

Responses
200

successful operation

application/json

Class Media

mediaIdintegerOptional

The Media ID

ownerIdintegerOptional

The ID of the User that owns this Media

parentIdintegerOptional

The Parent ID of this Media if it has been revised

namestringOptional

The Name of this Media

mediaTypestringOptional

The module type of this Media

storedAsstringOptional

The file name of the media as stored in the library

fileNamestringOptional

The original file name as it was uploaded

fileSizeintegerOptional

The file size in bytes

durationintegerOptional

The duration to use when assigning this media to a Layout widget

validintegerOptional

Flag indicating whether this media is valid.

moduleSystemFileintegerOptional

DEPRECATED: Flag indicating whether this media is a system file or not

expiresintegerOptional

Timestamp indicating when this media should expire

retiredintegerOptional

Flag indicating whether this media is retired

isEditedintegerOptional

Flag indicating whether this media has been edited and replaced with a newer file

md5stringOptional

A MD5 checksum of the stored media file

ownerstringOptional

The username of the User that owns this media

groupsWithPermissionsstringOptional

A comma separated list of groups/users with permissions to this Media

releasedintegerOptional

A flag indicating whether this media has been released

apiRefstringOptional

An API reference

createdDtstringOptional

The datetime the Media was created

modifiedDtstringOptional

The datetime the Media was last modified

enableStatstringOptional

The option to enable the collection of Media Proof of Play statistics

orientationstringOptional

The orientation of the Media file

widthintegerOptional

The width of the Media file

heightintegerOptional

The height of the Media file

folderIdintegerOptional

The id of the Folder this Media belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Media

post/library/{mediaId}/untag
POST /api/library/{mediaId}/untag HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 16

"tag=['text']"
200

successful operation

{
  "mediaId": 1,
  "ownerId": 1,
  "parentId": 1,
  "name": "text",
  "mediaType": "text",
  "storedAs": "text",
  "fileName": "text",
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "fileSize": 1,
  "duration": 1,
  "valid": 1,
  "moduleSystemFile": 1,
  "expires": 1,
  "retired": 1,
  "isEdited": 1,
  "md5": "text",
  "owner": "text",
  "groupsWithPermissions": "text",
  "released": 1,
  "apiRef": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "enableStat": "text",
  "orientation": "text",
  "width": 1,
  "height": 1,
  "folderId": 1,
  "permissionsFolderId": 1
}

Get Library Item Usage Report

get

Get the records for the library item usage report

Path parameters
mediaIdintegerRequired

The Media Id

Responses
200

successful operation

No content

get/library/usage/{mediaId}
GET /api/library/usage/{mediaId} HTTP/1.1
Accept: */*
200

successful operation

No content

Get Library Item Usage Report for Layouts

get

Get the records for the library item usage report for Layouts

Path parameters
mediaIdintegerRequired

The Media Id

Responses
200

successful operation

No content

get/library/usage/layouts/{mediaId}
GET /api/library/usage/layouts/{mediaId} HTTP/1.1
Accept: */*
200

successful operation

No content

Copy Media

post

Copy a Media, providing a new name and tags if applicable

Path parameters
mediaIdintegerRequired

The media ID to Copy

Body
namestringRequired

The name for the new Media

tagsstringOptional

The Optional tags for new Media

Responses
201

successful operation

application/json
post/library/copy/{mediaId}
POST /api/library/copy/{mediaId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 29

"name='text'&tags='text'"
201

successful operation

{
  "mediaId": 1,
  "ownerId": 1,
  "parentId": 1,
  "name": "text",
  "mediaType": "text",
  "storedAs": "text",
  "fileName": "text",
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "fileSize": 1,
  "duration": 1,
  "valid": 1,
  "moduleSystemFile": 1,
  "expires": 1,
  "retired": 1,
  "isEdited": 1,
  "md5": "text",
  "owner": "text",
  "groupsWithPermissions": "text",
  "released": 1,
  "apiRef": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "enableStat": "text",
  "orientation": "text",
  "width": 1,
  "height": 1,
  "folderId": 1,
  "permissionsFolderId": 1
}

Media usage check

get

Checks if a Media is being used

Path parameters
mediaIdintegerRequired

The Media Id

Responses
200

successful operation

No content

get/library/{mediaId}/isused/
GET /api/library/{mediaId}/isused/ HTTP/1.1
Accept: */*
200

successful operation

No content

Upload Media from URL

post

Upload Media to CMS library from an external URL

Body
urlstringRequired

The URL to the media

typestringRequired

The type of the media, image, video etc

extensionstringOptional

Optional extension of the media, jpg, png etc. If not set in the request it will be retrieved from the headers

enableStatstringOptional

The option to enable the collection of Media Proof of Play statistics, On, Off or Inherit.

optionalNamestringOptional

An optional name for this media file, if left empty it will default to the file name

expiresstringOptional

Date in Y-m-d H:i:s format, will set expiration date on the Media item

folderIdintegerOptional

Folder ID to which this media should be assigned to

Responses
201

successful operation

application/json
post/library/uploadUrl
POST /api/library/uploadUrl HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 119

"url='text'&type='text'&extension='text'&enableStat='text'&optionalName='text'&expires='text'&folderId=1"
201

successful operation

{
  "mediaId": 1,
  "ownerId": 1,
  "parentId": 1,
  "name": "text",
  "mediaType": "text",
  "storedAs": "text",
  "fileName": "text",
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "fileSize": 1,
  "duration": 1,
  "valid": 1,
  "moduleSystemFile": 1,
  "expires": 1,
  "retired": 1,
  "isEdited": 1,
  "md5": "text",
  "owner": "text",
  "groupsWithPermissions": "text",
  "released": 1,
  "apiRef": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "enableStat": "text",
  "orientation": "text",
  "width": 1,
  "height": 1,
  "folderId": 1,
  "permissionsFolderId": 1
}

Media Select folder

put

Select Folder for Media

Path parameters
idintegerRequired

The Media ID

Body
folderIdintegerOptional

Folder ID to which this object should be assigned to

Responses
200

successful operation

application/json

Class Media

mediaIdintegerOptional

The Media ID

ownerIdintegerOptional

The ID of the User that owns this Media

parentIdintegerOptional

The Parent ID of this Media if it has been revised

namestringOptional

The Name of this Media

mediaTypestringOptional

The module type of this Media

storedAsstringOptional

The file name of the media as stored in the library

fileNamestringOptional

The original file name as it was uploaded

fileSizeintegerOptional

The file size in bytes

durationintegerOptional

The duration to use when assigning this media to a Layout widget

validintegerOptional

Flag indicating whether this media is valid.

moduleSystemFileintegerOptional

DEPRECATED: Flag indicating whether this media is a system file or not

expiresintegerOptional

Timestamp indicating when this media should expire

retiredintegerOptional

Flag indicating whether this media is retired

isEditedintegerOptional

Flag indicating whether this media has been edited and replaced with a newer file

md5stringOptional

A MD5 checksum of the stored media file

ownerstringOptional

The username of the User that owns this media

groupsWithPermissionsstringOptional

A comma separated list of groups/users with permissions to this Media

releasedintegerOptional

A flag indicating whether this media has been released

apiRefstringOptional

An API reference

createdDtstringOptional

The datetime the Media was created

modifiedDtstringOptional

The datetime the Media was last modified

enableStatstringOptional

The option to enable the collection of Media Proof of Play statistics

orientationstringOptional

The orientation of the Media file

widthintegerOptional

The width of the Media file

heightintegerOptional

The height of the Media file

folderIdintegerOptional

The id of the Folder this Media belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Media

put/library/{id}/selectfolder
PUT /api/library/{id}/selectfolder HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 14

"folderId=1"
200

successful operation

{
  "mediaId": 1,
  "ownerId": 1,
  "parentId": 1,
  "name": "text",
  "mediaType": "text",
  "storedAs": "text",
  "fileName": "text",
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "fileSize": 1,
  "duration": 1,
  "valid": 1,
  "moduleSystemFile": 1,
  "expires": 1,
  "retired": 1,
  "isEdited": 1,
  "md5": "text",
  "owner": "text",
  "groupsWithPermissions": "text",
  "released": 1,
  "apiRef": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "enableStat": "text",
  "orientation": "text",
  "width": 1,
  "height": 1,
  "folderId": 1,
  "permissionsFolderId": 1
}

Last updated

Was this helpful?